#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include "VideoPlayer.h"
// #include "VideoPlayer1.h"

QT_BEGIN_NAMESPACE
namespace Ui { class Widget; }
QT_END_NAMESPACE

class Widget : public QWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = nullptr);
    ~Widget();

private slots:

    void on_pBtn_openVideo_clicked();

    void on_pBtn_openStream_clicked();

    void on_pBtn_play_clicked();

    void on_pBtn_pause_clicked();

    void on_pBtn_stop_clicked();

    void on_pBtn_backward_clicked();

    void on_pBtn_forward_clicked();

    
private:
    Ui::Widget *ui;

    bool m_isPlay = false;
    // std::shared_ptr<VideoPlayer1> m_videoPlayer1 = nullptr;
    std::shared_ptr<VideoPlayer> m_videoPlayer = nullptr;

};
#endif // WIDGET_H
